Subject: Re: git-scm.com

From: Jon Loeliger <[email-masked]>
Date: Thu, 31 Jul 2008 13:39:32 -0500

Tom Werner wrote:
>
> The problem is that I'm only a casual C coder. It takes me a while to
> figure out what's going on in the git source. We needed a way to serve
> public git repositories from a hashed directory structure (e.g.
> /a/b/c/user/repo.git) and we needed it fast. 

I'm not exactly sure what you mean by "hashed directory structure",
but I suspect that your goal is some form of virtualized hosting
that allows for directory names to be dynamically constructed with
a component that appears to be the user name.

Wouldn't the --interpolated-path ability of git-daemon either
directly or with minor modifications directly support that?

jdl